LEI Verification

A Legal Entity Identifier (LEI) is a unique 20-character alphanumeric code used to identify distinct legal entities that engage in financial transactions. The LEI is part of a global initiative to improve the transparency and stability of the financial system by enabling clear and precise identification of parties involved in financial transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
valueStringMandatoryUnique ID of LEI which consists of 20 Characters Alpha Numeric code
typeStringMandatoryType can be NAME,BIC,ISIN,LEI
pagination[pageNumber]ArrayOptionalNumber of Pages
pagination[recordsPerPage]ArrayOptionalRecords per pages
externalRefStringMandatoryYour Unique Transaction id
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude

Sample Request

GET /identity/lei?latitude=-49.1725&longitude=-167.2633&externalRef=1716870276&type=LEI&value=335800ZS5FFXU1CGRK27&pagination[pageNumber]=1&pagination[recordsPerPage]=10 HTTP/1.1
Host: api.instantpay.in
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}'
GET /identity/lei?latitude=-49.1725&longitude=-167.2633&externalRef=1716870276&type=LEI&value=335800ZS5FFXU1CGRK27&pagination[pageNumber]=1&pagination[recordsPerPage]=10 HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIP}}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "poolReferenceId": "1240527171547ZXLPN",
        "pool": {
            "openingBal": "43.42",
            "mode": "DR",
            "amount": "2.36",
            "closingBal": "41.06"
        },
        "meta": {
            "totalPages": 1,
            "currentPage": 1,
            "totalRecords": 1,
            "recordsOnCurrentPage": 10,
            "recordFrom": 1,
            "recordTo": 1
        },
        "record": [
            {
                "lei": "335800ZS5FFXU1CGRK27",
                "entity": {
                    "legalName": {
                        "name": "ANKIT INTERNATIONAL",
                        "language": "en"
                    },
                    "otherNames": [],
                    "transliteratedOtherNames": [],
                    "legalAddress": {
                        "language": "en",
                        "addressLines": [
                            "42/42",
                            "WEST PUNJABI BAGH"
                        ],
                        "addressNumber": null,
                        "addressNumberWithinBuilding": null,
                        "mailRouting": null,
                        "city": "NEW DELHI",
                        "region": "IN-DL",
                        "country": "IN",
                        "postalCode": "110026"
                    },
                    "headquartersAddress": {
                        "language": "en",
                        "addressLines": [
                            "42/42",
                            "WEST PUNJABI BAGH"
                        ],
                        "addressNumber": null,
                        "addressNumberWithinBuilding": null,
                        "mailRouting": null,
                        "city": "NEW DELHI",
                        "region": "IN-DL",
                        "country": "IN",
                        "postalCode": "110026"
                    },
                    "registeredAt": {
                        "id": "RA000709",
                        "other": null
                    },
                    "registeredAs": "0509049290",
                    "jurisdiction": "IN",
                    "category": "GENERAL",
                    "legalForm": {
                        "id": "A0PS",
                        "other": null
                    },
                    "associatedEntity": {
                        "lei": null,
                        "name": null
                    },
                    "status": "INACTIVE",
                    "expiration": {
                        "date": null,
                        "reason": null
                    },
                    "successorEntity": {
                        "lei": "3358004PT3NRFB1FYG32",
                        "name": null
                    },
                    "successorEntities": [
                        {
                            "lei": "3358004PT3NRFB1FYG32"
                        }
                    ],
                    "creationDate": null,
                    "subCategory": null,
                    "otherAddresses": [],
                    "eventGroups": [
                        {
                            "groupType": "STANDALONE",
                            "events": [
                                {
                                    "validationDocuments": "OTHER_OFFICIAL_DOCUMENTS",
                                    "effectiveDate": "2021-02-18T06:17:13Z",
                                    "recordedDate": "2021-02-18T06:17:13Z",
                                    "type": "MERGERS_AND_ACQUISITIONS",
                                    "status": "COMPLETED",
                                    "affectedFields": [
                                        {
                                            "value": "3358004PT3NRFB1FYG32",
                                            "xpath": "/lei:LEIData/lei:LEIRecords/lei:LEIRecord/lei:Entity/lei:SuccessorEntity/lei:SuccessorLEI"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                "registration": {
                    "initialRegistrationDate": "2019-03-14T12:57:51Z",
                    "lastUpdateDate": "2022-03-11T13:30:01Z",
                    "status": "RETIRED",
                    "nextRenewalDate": "2021-03-13T18:30:00Z",
                    "managingLou": "335800FVH4MOKZS9VH40",
                    "corroborationLevel": "FULLY_CORROBORATED",
                    "validatedAt": {
                        "id": "RA000709",
                        "other": null
                    },
                    "validatedAs": "0509049290",
                    "otherValidationAuthorities": [
                        {
                            "validatedAt": {
                                "id": "RA888888"
                            },
                            "validatedAs": "0509049290"
                        }
                    ]
                },
                "bic": null,
                "mic": null,
                "ocid": null,
                "spglobal": [
                    "606978683"
                ],
                "conformityFlag": "NOT_APPLICABLE"
            }
        ]
    },
    "timestamp": "2024-05-27 17:15:47",
    "ipay_uuid": "h0059c249b12-fce2-4b1b-a804-eb4ee9ca30e3-KewJUzvBST1G",
    "orderid": "1240527171547ZXLPN",
    "environment": "LIVE"
}
Body Params
string
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
string
pagination
object
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json